version: 1
name: Build/boot duration of the Linux kernel
description: Build and QEMU boot duration of the Linux kernel with clang
jobs:
- name: arm64-defconfig
  builds:
    # build 1
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 3e4c1e307ee4f5799b5cc02f7e9173c9745f8a8ccb381b1b3c263a128174feb0, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 3e4c1e307ee4f5799b5cc02f7e9173c9745f8a8ccb381b1b3c263a128174feb0, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 3e4c1e307ee4f5799b5cc02f7e9173c9745f8a8ccb381b1b3c263a128174feb0, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 3e4c1e307ee4f5799b5cc02f7e9173c9745f8a8ccb381b1b3c263a128174feb0, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 3e4c1e307ee4f5799b5cc02f7e9173c9745f8a8ccb381b1b3c263a128174feb0, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 3e4c1e307ee4f5799b5cc02f7e9173c9745f8a8ccb381b1b3c263a128174feb0, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 3e4c1e307ee4f5799b5cc02f7e9173c9745f8a8ccb381b1b3c263a128174feb0, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 3e4c1e307ee4f5799b5cc02f7e9173c9745f8a8ccb381b1b3c263a128174feb0, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 3e4c1e307ee4f5799b5cc02f7e9173c9745f8a8ccb381b1b3c263a128174feb0, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 3e4c1e307ee4f5799b5cc02f7e9173c9745f8a8ccb381b1b3c263a128174feb0, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
  test:
      device: qemu-arm64
